import { WorldCharacter } from './world-character';
import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class WorldCharacterName implements IIdentifiableEntity, INameEntity {
  @PrimaryGeneratedColumn()
  public id: number;

  @ManyToOne(
    () => WorldCharacter,
    (worldCharacter: WorldCharacter) => worldCharacter.names,
    {
      nullable: false,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    }
  )
  public entity: Promise<WorldCharacter>;

  @Column({
    nullable: false,
  })
  public name: string;
}
